Package wx :: Class FontMapper

[frames | no frames]

## Type FontMapper

    object --+
             |
            FontMapper

Proxy of C++ FontMapper class

Method Summary
FontMapper | `__init__(self)`
| `__del__(self)`
int | `CharsetToEncoding(self, charset, interactive)`
FontMapper | `Get()` (Static method)
PyObject | `GetAltForEncoding(self, encoding, facename, interactive)`
String | `GetDefaultConfigPath()` (Static method)
int | `GetEncoding(n)` (Static method)
String | `GetEncodingDescription(encoding)` (Static method)
int | `GetEncodingFromName(name)` (Static method)
String | `GetEncodingName(encoding)` (Static method)
size_t | `GetSupportedEncodingsCount()` (Static method)
bool | `IsEncodingAvailable(self, encoding, facename)`
FontMapper | `Set(mapper)` (Static method)
| `SetConfigPath(self, prefix)`
| `SetDialogParent(self, parent)`
| `SetDialogTitle(self, title)`

Property Summary
| `AltForEncoding`: See `GetAltForEncoding`
| `thisown`: The membership flag

Property Details

### AltForEncoding

See `GetAltForEncoding`

  Get Method:
    `GetAltForEncoding`(self, encoding, facename, interactive)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:52 2007 | http://epydoc.sf.net